#ifndef LDpara_H
#define LDpara_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef unsigned char UCHAR;
typedef unsigned long ULONG;
//typedef unsigned long long UI64;
typedef unsigned __int64 UI64;

extern char *buf;
extern ULONG n;

// Index of the tests
enum { dft, mau, sblk, lblk, twob, blkg, runs,  cus,  srl, notm,
       r68, r31, r32,  sob,  gcd,  bday, autow, perm, cou, amls, coll };

#define ERRO "\n\t!! ERROR !!\n" // Error message
#define TESTnum 21 // Number of tests

struct TEST {
	char flg; // if = 0 skip the test
	void (*func)(void);
	char *name; // MUST be lower case (used in the parsing routine)
};

void LCASE(char *s);

#endif